System.Web 2.0.0.0 System.Enum

The enumeration represents the actions that a data source control can perform on its underlying data. Data source controls such as and use these enumeration values to track the type of operation being performed.

The five major data source operations are represented by the enumeration. The and values indicate operations that retrieve data from an underlying data source, while the , , and values indicate operations that modify data.

Specifies a data operation performed by a data source control.

- Field
  System.Web.UI.DataSourceOperation

  The operation deletes records from a data source.

  2.0.0.0
- Field
  System.Web.UI.DataSourceOperation

  The operation inserts one or more records into a data source.

  2.0.0.0
- Field
  System.Web.UI.DataSourceOperation

  The operation retrieves records from a data source.

  2.0.0.0
- Field
  System.Web.UI.DataSourceOperation

  The operation retrieves the total number of records for a query from the data source.

  2.0.0.0
- Field
  System.Web.UI.DataSourceOperation

  The operation updates records in a data source.

  2.0.0.0